
#include <lua.h>
#include <lualib.h>
#include <lauxlib.h>
#include "posixtz.h"

#define MYNAME "posixtz"

#if LUA_VERSION_NUM < 502
#  define luaL_newlib(L,l) (lua_newtable(L), luaL_register(L,NULL,l))
#endif

static int Pfrom_file(lua_State *L)
{
	const char *s = luaL_checkstring(L, 1);
	lua_pushstring(L, posix_tz(s));
	return 1;
}

static const luaL_Reg R[] =
{
	{"from_file",		Pfrom_file},
	NULL, NULL
};

LUALIB_API int luaopen_posixtz_core(lua_State *L)
{
	luaL_newlib(L, R);
	return 1;
}
